
#menu {
  z-index: 2;
}

#menu-bar {
  position: fixed;
  top: 30px;
  right: 30px;
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: none;
}

.bar {
  height: 5px;
  width: 100%;
  background-color: var(--accent);
  display: block;
  border-radius: 5px;
  transition: 0.3s ease;
}

#bar1 {
  transform: translateY(-4px);
}

#bar3 {
  transform: translateY(4px);
}

.nav {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: opacity 0.5s ease, max-height 0.5s ease;
  margin-top: 30px;
}
.nav.change {
  opacity: 1;
  max-height: 500px; /* assez grand pour contenir la liste */
}

.nav ul {
  padding: 0 22px;
}

.nav li {
  list-style: none;
  padding: 12px 0;
  opacity: 0;
  transform: translateY(-10px) scale(0.95);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.nav li.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}
.nav li a {
  color: #fff4ed;
  font-size: 20px;
  text-decoration: none;
}

.nav li a:hover {
  font-weight: bold;
}

.menu-bg, #menu {
  top: 20px;
  right: 30px;
  position: absolute;
}

.menu-bg {
  z-index: 1;
  width: 0;
  height: 0;
  background: radial-gradient(circle, var(--accent), var(--accent));
  border-radius: 50%;
  transition: 0.3s ease;
  margin: 0;         /* supprimer marge */
  transform: translate(0, 0); /* réinitialiser la translation */
}


.change-bg {
  width: 600px;
  height: 600px;
  /* translation vers la droite et vers le haut */
  transform: translate(60%, -30%);
}


.change {
  display: block;
}

.change .bar {
  background-color: white;
}

.change #bar1 {
  transform: translateY(4px) rotateZ(-45deg);
}

.change #bar2 {
  opacity: 0;
}

.change #bar3 {
  transform: translateY(-6px) rotateZ(45deg);
}



/* Afficher bouton et bulle seulement sur écrans max 768px (mobile/tablette) */
@media (max-width: 768px) {
  #menu-bar,
  .menu-bg {
    display: block;
  }
}